# Query the status of a task (/en/api-reference/api-ref/cloud-transcoding/query)

> For AI agents: see the complete documentation index at [llms.txt](/llms.txt).

Queries the status of a Cloud Transcoding task.

- OpenAPI: /openapi/cloud-transcoding/cloud-transcoding.en.yaml
- Operation ID: query-cloud-transcoding-task
- Method: GET
- Path: /v1/projects/{appId}/rtsc/cloud-transcoder/tasks/{taskId}

## Servers

- https://api.sd-rtn.com

## Parameters

- `Content-Type` (header, required) - The request content type. Use `application/json`.
- `X-Request-ID` (header, optional) - UUID (Universally Unique Identifier), used to identify this request.

If the request fails, print out the value in the log to troubleshoot the problem. If the response status code of the request is not 2XX, then the response header may not contain this field.
- `appId` (path, required) - The App ID of your project from Agora Console.
- `taskId` (path, required) - The transcoding task UUID used to identify the cloud transcoder for this request.
- `builderToken` (query, required) - The `tokenName` you obtained in the response body of the `Acquire` method. See Acquire a builder token.

## Request body

No request body.

## Responses

### 200

The request succeeded and returned task status.

- `taskId` (string) - A UUID used to identify the cloud transcoder for this request operation.
No schema.
- `createTs` (number) - Unix timestamp (seconds) when the transcoding task was created.
No schema.
- `status` (string) - The running status of the transcoding task:
- `"IDLE"`: Task not started.
- `"PREPARED"`: The task has received a start request.
- `"STARTING"`: The task is starting.
- `"CREATED"`: Task initialization completed.
- `"STARTED"`: The task has started.
- `"IN_PROGRESS"`: Task in progress.
- `"STOPPING"`: The task is stopping.
- `"STOPPED"`: The task has stopped.
- `"EXIT"`: The task exited normally.
- `"FAILURE_STOP"`: The task exited abnormally.
No schema.
- `sequenceId` (string) - The sequence ID.
No schema.
- `services` (object)
  - `services.cloudTranscoder` (object)
    - `services.cloudTranscoder.config` (object) - Same as the fields you set in the `Create` request body.
No schema.
    - `services.cloudTranscoder.createTs` (number) - Unix timestamp (in seconds) when the service was created.
No schema.
    - `services.cloudTranscoder.details` (object) - Reserved field.
No schema.
    - `services.cloudTranscoder.message` (string) - Reserved field.
No schema.
    - `services.cloudTranscoder.serviceType` (string) - Should be `"cloudTranscoderV2"`.
No schema.
    - `services.cloudTranscoder.status` (string) - The running status of the transcoding service in the transcoding task:
- `"serviceIdle"`: The service has not started.
- `"serviceReady"`: The service is ready to start.
- `"serviceStarted"`: The service has started.
- `"serviceInProgress"`: The service is currently running.
- `"serviceCompleted"`: The service has stopped, and all tasks have been completed.
- `"servicePartialCompleted"`: The service has stopped, but the task was only partially completed.
- `"serviceValidationFailed"`: The service failed due to invalid parameters.
- `"serviceAbnormal"`: The service exited unexpectedly.
- `"serviceUnknown"`: The service status is unknown.

 This field is meant for the Agora technical team to investigate any issues. You do not need to focus on it.
No schema.
- `eventHandlers` (object)
No schema.
- `execution` (object)
No schema.
- `properties` (object)
No schema.
- `variables` (object)
No schema.
- `workflows` (object)
No schema.
### default

The request failed.

- `message` (string) - Describes why the request failed.
No schema.
